#!/bin/bash
NAME="dltk"
VERSION=4.0.0
TAG=""
DATE="2012-01-07 02:25"

if [ -n "$DATE" ]
then
    CHECKOUT="-D $DATE"
else
    CHECKOUT="-r $TAG"
fi

cvs -d :pserver:anonymous@dev.eclipse.org:/cvsroot/technology export "$CHECKOUT" org.eclipse.dltk
mv org.eclipse.dltk  $NAME-$VERSION

#Remove any commited jars
find $NAME-$VERSION -name *.jar -delete

echo "Creating tarball '$NAME-$VERSION.tar.xz'..."
tar -caf $NAME-$VERSION.tar.xz $NAME-$VERSION
